module Flux
  module PivotalTracker
    module IterationExt
      def current_backlog(project, options = {})
        params = ::PivotalTracker.encode_options(options)
        path   = "/projects/#{project.id}/iterations/current_backlog#{params}"
        parse(::PivotalTracker::Client.connection[path].get)
      end

      ::PivotalTracker::Iteration.send(:extend, self)
    end
  end
end
