module Flux
  module Util
    module Output
      # Capture standard IO channel.
      #
      # @yield the block that encloses the channel capture
      #
      # @return everything that was written to the given channel
      def capture(channel = :stdout)
        io     = StringIO.new
        old_io = eval("$#{channel}")

        eval("$#{channel} = io")

        yield

        io.string
      ensure
        eval("$#{channel} = old_io")
      end

      alias_method :silence, :capture
    end
  end
end
